import Component  from '../component.js'
import CoUxDropdownButton from './ux-dropdown-button.js'

export default class CoUxLayoutPageHeaderActionIcons extends Component {

    constructor(parent) {
      let selector = 'ux-layout-page-header-action-icon-item';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/core/src/lib/commons/ux-components/layout/ux-layout-page-header-action-icons/ux-layout-page-header-action-icons.component.html?at=refs%2Fheads%2Fsupport%2F7.x
    }
    get dropdownButtonCo() {
      return new CoUxDropdownButton(this.currentPath);
    }
    get iconClass() {
      return this.dropdownButtonCo + '//*[contains(@class, "ux-icon") and contains(@class, "ux-icon-more-vertical")';
    }
}


